/*
 * Class READABLE_INDEXABLE [INTEGER_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_754 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_754 [] = {0xFF01,237,753,209,0xFFFF};
static const EIF_TYPE_INDEX egt_2_754 [] = {0xFF01,753,209,0xFFFF};
static const EIF_TYPE_INDEX egt_3_754 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_754 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_754 [] = {0xFF01,753,209,0xFFFF};
static const EIF_TYPE_INDEX egt_6_754 [] = {0xFF01,753,209,0xFFFF};
static const EIF_TYPE_INDEX egt_7_754 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_754 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_754 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_754 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_754 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_754 [] = {753,209,0xFFFF};
static const EIF_TYPE_INDEX egt_13_754 [] = {0xFF01,753,209,0xFFFF};
static const EIF_TYPE_INDEX egt_14_754 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_754 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_16_754 [] = {0xFF01,750,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_754 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_754[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_754), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_754), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_754), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_754), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_754), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_754), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_754), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_754), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_754), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_754), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_754), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_754), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_754), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_754), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_754), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_754), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_754), 3381, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_754), -1, 0xFFFFFFFF},
};
void Init754(void)
{
	IDSC(desc_754, 0, 753);
	IDSC(desc_754 + 1, 1, 753);
	IDSC(desc_754 + 32, 256, 753);
	IDSC(desc_754 + 35, 99, 753);
}


#ifdef __cplusplus
}
#endif
